{% extends "base.html" %} {% load static %} {% block css %}
<link rel="stylesheet" href="{% static 'css/plugins/bootstrap-tagsinput.css' %}">
<link href="{% static 'font-awesome/css/font-awesome.css' %}" rel="stylesheet">
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/css/select2.min.css" rel="stylesheet" />{% endblock css %} {% block title %}

<h1>Resolución de Proyectos</h1>

{% endblock title %}

{% block content %}

<div class="card-body">
    <ul class="nav nav-pills nav-pills-primary" role="tablist">
        <li class="active">
            <a href="#pillnav1" role"tab" data-toggle="tab">
                <i class="zmdi zmdi-assignment"></i> Resumen Bitácoras
            </a>
        </li>
        <li>
            <a href="#pillnav2" role"tab" data-toggle="tab">
                <i class="zmdi zmdi-assignment"></i> Resolución de Proyectos
            </a>
        </li>
        <li>
            <a href="#pillnav3" role"tab" data-toggle="tab">
                <i class="zmdi zmdi-assignment"></i> Alumnos
            </a>
        </li>
    </ul>
    <div id="pillContent1" class="tab-content m-t-15">
        <div class="tab-pane fade active in" id="pillnav1">
            <div class="row">
                <div class="col-md-12">
                    <div class="card card-data-tables product-table-wrapper">
                        <header class="card-heading card-blue text-center">
                            <h2 class="card-title">Bitácoras: Resultados </h2>
                        </header>
                        <div class="card-body p-0">
                            <div class="col-md-6">
                                <div class="col-md-12">
                                    <label for="">Carrera: </label>
                                    <select id="bt_get_carrer" class="form-control" name="" type="text">
                                        <option value="">Elija una carrera...</option>
                                        {% for carrer in carreers %}
                                        <option value="{{ carrer.pk }}">{{ carrer.name }}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="col-md-12">
                                    <label for="">Año: </label>
                                    <input id="bt_get_year" class="form-control" type="text" name="" value="" placeholder="Año: 1111">
                                </div>
                                <div class="col-md-12">
                                    <label for="">Periodo: </label>
                                    <select id="bt_get_period" class="form-control" name="" type="text">
                                        <options>Elija un periodo...</option>
                                            {% for periodo in periods %}
                                            <option value="{{ periodo.0 }}">{{ periodo.1 }}</option>
                                            {% endfor %}
                                        </select>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <button class="bitacorasBuscar btn btn-block btn-danger" type="button" name="button"><i class="zmdi zmdi-search"></i> Buscar</button>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row" id="Bitacoras_detail">
                    <div class="col-md-12">
                        <div class="card card-data-tables product-table-wrapper">
                            <header class="card-heading card-default">
                                <h2 class="card-title">Bitácoras: Resultados</h2>
                            </header>
                            <div class="card-body p-0">
                                <div class="table-responsive">
                                    <table class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
                                        <thead>
                                            <tr>
                                                <th class="col-sm-1">N°</th>
                                                <th class="col-sm-3">Proyecto</th>
                                                <th class="col-sm-3">Estudiante</th>
                                                <th class="col-sm-2">Profesor</th>
                                                <th class="col-sm-1">Bitácoras</th>
                                                <th class="col-sm-1">Acciones</th>
                                            </tr>
                                        </thead>
                                        <tbody id="Btable_data">
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="tab-pane fade" id="pillnav2">
            <div class="row">
                <div class="col-md-12">
                    <div class="card card-data-tables product-table-wrapper">
                        <header class="card-heading card-blue text-center">
                            <h2 class="card-title">Resolución de Proyectos: Resultados</h2>
                        </header>
                        <div class="card-body p-0">
                            <div class="table-responsive">
                                <table class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
                                    <thead>
                                        <tr>
                                            <th class="col-sm-1">N°</th>
                                            <th class="col-sm-5">Carrera</th>
                                            <th class="col-sm-3">Cantidad de Proyectos</th>
                                            <th class="col-sm-3">Acciones</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        {% for count in counts %}
                                        <tr>
                                            <td><span id="carreer_pk" valueid="carreer_{{count.0}}">{{ count.0 }}</span></td>
                                            <td><span>{{ count.1 }}</span></td>
                                            <td><span>{{ count.2 }}</span></td>
                                            <td>
                                                <div class="col-md-3">
                                                    <button class="verProyectos btn btn-sm btn-blue" title="Visualizar Proyectos">
                                                        <i class="zmdi zmdi-eye"></i> Visualizar Proyectos
                                                    </button>
                                                </div>
                                            </td>
                                        </tr>
                                        {% endfor %}
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-12" id="searchProjects">
                    <div class="col-md-12">
                        <div class="card">
                            <header class="card-heading card-default">
                                <h2 class="card-title">Resolución de Proyectos: Resultados</h2>
                            </header>
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-6">
                                        <label class="control-label" for="">Año: </label>
                                        <input id="get_year" type="text" class="form-control" placeholder="Año: 1111" name="" value="">
                                    </div>
                                    <div class="col-md-6">
                                        <label class="control-label" for="periodo">Periodo:</label>
                                        <select id="get_period" class="form-control" name="" type="text" placeholder="Periodo: Primer Semestre">
                                            <option>Elija un periodo...</option>
                                            {% for periodo in periods %}
                                            <option value="{{ periodo.0 }}">{{periodo.1}}</option>
                                            {% endfor %}
                                        </select>
                                    </div>
                                    <div class="col-md-12">
                                        <button class="getProyectos btn btn-danger btn-block" type="button" name="button"><i class="zmdi zmdi-search"></i> Buscar
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row" id="Projects_detail">
                    <div class="col-md-12">
                        <div class="card card-data-tables product-table-wrapper">
                            <header class="card-heading card-default">
                                <h2 class="card-title">Proyectos: Resultados</h2>
                            </header>
                            <div class="card-body p-0">
                                <div class="table-responsive">
                                    <table class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
                                        <thead>
                                            <tr>
                                                <th class="col-sm-1">N°</th>
                                                <th class="col-sm-4">Nombre Proyecto</th>
                                                <th class="col-sm-3">Profesor Guía</th>
                                                <th class="col-sm-3">Estado</th>
                                                <th class="col-sm-1">Acción</th>
                                            </tr>
                                        </thead>
                                        <tbody id="Ptable_data">
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="tab-pane fade" id="pillnav3">
            <div class="row">
                <div class="col-md-12">
                    <div class="card card-data-tables product-table-wrapper">
                        <header class="card-heading card-blue text-center">
                            <h2 class="card-title">Alumnos: Resultados </h2>
                        </header>
                        <div class="card-body p-0">
                            <div class="col-md-6">
                                <div class="col-md-12">
                                    <label for="">Carrera: </label>
                                    <select id="al_get_carrer" class="form-control" name="" type="text">
                                        <option value="">Elija una carrera...</option>
                                        {% for carrer in carreers %}
                                        <option value="{{ carrer.pk }}">{{ carrer.name }}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                                <div class="col-md-12">
                                    <label for="">Tipo de Busqueda: </label>
                                    <select id="alumnosOption" class="form-control" name="" type="text">
                                        <option value="AA">Alumnos Aceptados</option>
                                        <option value="AN">Alumnos no Aceptados</option>
                                        <option value="AP">Alumnos por profesor</option>
                                        <option value="AL">Todos</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="col-md-12">
                                    <label for="">Año: </label>
                                    <input id="al_get_year" class="form-control" type="text" name="" value="" placeholder="Año: 1111">
                                </div>
                                <div class="col-md-12">
                                    <label for="">Periodo: </label>
                                    <select id="al_get_period" class="form-control" name="" type="text">
                                        <options>Elija un periodo...</option>
                                            {% for periodo in periods %}
                                            <option value="{{ periodo.0 }}">{{ periodo.1 }}</option>
                                            {% endfor %}
                                        </select>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <button class="alumnosBuscar btn btn-block btn-danger" type="button" name="button"><i class="zmdi zmdi-search"></i> Buscar</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row" id="alAceptados">
                <div class="col-md-12">
                    <div class="card card-data-tables product-table-wrapper">
                        <header class="card-heading card-blue text-center">
                            <h2 class="card-title">Alumnos Aceptados: Resultados </h2>
                        </header>
                        <div class="card-body p-0">
                            <div class="table-responsive">
                                <table class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
                                    <thead>
                                        <tr>
                                            <th class="col-sm-1">N°</th>
                                            <th class="col-sm-3">Nombre Estudiante</th>
                                            <th class="col-sm-3">Proyecto</th>
                                            <th class="col-sm-3">Profesor guía</th>
                                            <th class="col-sm-1">Estado</th>
                                            <th class="col-sm-1">Acciones</th>
                                        </tr>
                                    </thead>
                                    <tbody id="Atable_data">

                                    </tbody>
                                </table>

                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row" id="alProfesor">
                <div class="col-md-12">
                    <div class="card card-data-tables product-table-wrapper">
                        <header class="card-heading card-blue text-center">
                            <h2 class="card-title">Alumnos No Aceptados: Resultados</h2>
                        </header>
                        <div class="card-body p-0">
                            <div class="table-responsive">
                                <table class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
                                    <thead>
                                        <tr>
                                            <th class="col-sm-1">N°</th>
                                            <th class="col-sm-3">Nombre Profesor</th>
                                            <th class="col-sm-3">Proyectos Aceptados</th>
                                            <th class="col-sm-3">Proyectos Rechazados</th>
                                            <th class="col-sm-2">Acciones</th>
                                        </tr>
                                    </thead>
                                    <tbody id="Atable_data_prof">

                                    </tbody>
                                </table>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


{% endblock %}
{% block javascript %}
<script>

    $(document).ready(function(){
        $("#Projects_detail").hide();
        $("#alAceptados").hide();
        $("#alProfesor").hide();
        $("#Bitacoras_detail").hide();
        $("#searchProjects").hide();
    });

    $(document).on('click', '.bitacorasBuscar', function(){

        $.ajax({
            type: "POST",
            url: "{% url 'get_binnacle_report' %}",
            data: {
                csrfmiddlewaretoken: "{{ csrf_token }}",
                carreer: $("#bt_get_carrer").val(),
                year: $("#bt_get_year").val(),
                period: $("#bt_get_period").val()
            },

            success: function(response){
                $("#Bitacoras_detail").show();

                $("#Btable_data").html("");

                for (var i = 0; i < response.data.length; i++) {
                    var url = "{% url 'tesista_details' 1 %}".replace('1', response.data[i][0]);
                    $("#Btable_data").append('<tr><td><span>' + response.data[i][0] + '</span></td><td><span>' + response.data[i][1] + '</span></td><td><span>' + response.data[i][2] + '</span></td><td><span>' + response.data[i][3] + '</span></td><td><span>' + response.data[i][4] + '<td><div class="col-md-6"><a href='+ url +' class="btn btn-blue btn-fab btn-fab-sm"><i class="zmdi zmdi-eye"></i></a></div></td></tr>');
                }

                swal("Éxito", "Se obtuvo la data como se esperaba", "success");
            },
            error: function(){
                swal("Error", "La data no se obtuvo como se esperaba", "error");
            },
        })
    });

    $(document).on('click', '.verProyectos', function(){
        var fila = $(this).closest('tr');

        $('#searchProjects').show();

        $('.getProyectos').click(function(){

            $.ajax({
                type: "POST",
                url: "{% url 'get_projects' %}",
                data: {
                    csrfmiddlewaretoken: '{{ csrf_token }}',
                    pk: fila.find('#carreer_pk').attr('valueid'),
                    year: $('#get_year').val(),
                    period: $('#get_period').val(),
                },

                success: function(response){
                    $("#Projects_detail").show();
                    $("#Ptable_data").html("");
                    // console.log(response);

                    for (var i = 0; i < response.projects.length; i++) {
                        var pk = response.projects[i].pk
                        var url = "{% url 'tesista_details' 1 %}".replace('1', pk);
                        // $("#pk_project").val(response.projects[i].pk);
                        // console.log(response.projects[i].pk)
                        $("#Ptable_data").append('<tr><td><span>' + response.projects[i].pk +  '</span></td><td><span>'+ response.projects[i].name +'</span></td><td><span>'+ response.projects[i].guide_teacher +'</span></td><td><label class="label label-info">'+ response.projects[i].status +'</label></td><td><div class="col-md-6"><a href='+ url +' class="btn btn-blue btn-fab btn-fab-sm"><i class="zmdi zmdi-eye"></i></a></div></td></tr>')
                    }

                    swal("Éxito!", "La data fue obtenida con éxito.", "success");
                },
                error: function(){
                    swal("Error", "La data no se obtuvo como se esperaba.", "error")
                },
            });
        });

    });

    $(document).on('click', '.alumnosBuscar', function(){

        $.ajax({
            type: 'POST',
            url: "{% url 'get_students_report' %}",
            data: {
                csrfmiddlewaretoken: '{{ csrf_token }}',
                option: $("#alumnosOption").val(),
                carreer: $("#al_get_carrer").val(),
                year: $("#al_get_year").val(),
                period: $("#al_get_period").val()
            },

            success: function(response){
                if ($("#alumnosOption").val() != "AP") {
                    $("#alProfesor").hide();
                    $("#alAceptados").show();

                    $("#Atable_data").html("");
                    console.log(response.data_postulations);

                    for (var i = 0; i < response.data_postulations.length; i++) {
                        $("#Atable_data").append('<tr><td><span>' + response.data_postulations[i][0] + '</span></td><td><span>' + response.data_postulations[i][1] + '</span></td><td><span>' + response.data_postulations[i][2] + '</span></td><td><span>' + response.data_postulations[i][3] + '</span></td><td><span>' + response.data_postulations[i][4] + '</span></td><td><div class="col-md-6"><a href="#" class="btn btn-blue btn-fab btn-fab-sm"><i class="zmdi zmdi-eye"></i></a></div></td></tr>');
                    }
                }

                else {
                    $("#alAceptados").hide();
                    $("#alProfesor").show();

                    $("#Atable_data_prof").html("");
                    console.log(response.data_postulations);

                    for (var i = 0; i < response.data_postulations.length; i++) {
                        $("#Atable_data_prof").append('<tr><td><span>' + response.data_postulations[i][0] + '</span></td><td><span>' + response.data_postulations[i][1] + '</span></td><td><span>' + response.data_postulations[i][2] + '</span></td><td><span>' + response.data_postulations[i][3] + '</span></td><td><div class="col-md-6"><a href="#" class="btn btn-blue btn-fab btn-fab-sm"><i class="zmdi zmdi-eye"></i></a></div></td></tr>');
                    }
                }


                swal("Éxito!", "La data fue obtenida con éxito.", "success");

            },
            error: function(){
                swal("Error", "La data no se obtuvo como se esperaba.", "error");

            },
        });

    });

</script>

{% endblock javascript %}
